// SelfTestEntryDlg.h : header file
//

#if !defined(AFX_SELFTESTENTRYDLG_H__4F2831F2_3CFE_11D7_A988_000103203D5E__INCLUDED_)
#define AFX_SELFTESTENTRYDLG_H__4F2831F2_3CFE_11D7_A988_000103203D5E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "resource.h"
#include "engine.h"

/////////////////////////////////////////////////////////////////////////////
// CSelfTestEntryDlg dialog

class CSelfTestEntryDlg : public TDialog
{
// Construction
public:
	CSelfTestEntryDlg(CWnd* pParent = NULL);   // standard constructor
   void RunWithCurrentVals();

// Dialog Data
	//{{AFX_DATA(CSelfTestEntryDlg)
	enum { IDD = IDD_SELF_TEST_ENTRY };
	BOOL	m_fExternalLoopback;
	BOOL	m_fPowerConsumption;
	BOOL	m_fXliteDisplayButton;
	BOOL	m_fXliteIO;
	BOOL	m_fSDCard;
	BOOL	m_fUSBCard;
	BOOL	m_fEthernet;
	//}}AFX_DATA

   // If CF card ever becomes an option we present to the user, just eliminate this 
   // declaration and replace it with a class wizard association to BOOL. 
   BOOL m_fCFCard;

   // Old values.
   BOOL m_fOldExternalLoopback;
   BOOL m_fOldCFCard;
   BOOL m_fOldSDCard;
   BOOL m_fOldUSBCard;
   BOOL m_fOldPowerConsumption;
   BOOL m_fOldXliteDisplayButton;
   BOOL m_fOldXliteIO;
   BOOL m_fOldEthernet;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSelfTestEntryDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSelfTestEntryDlg)
	afx_msg void OnBtnRun();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SELFTESTENTRYDLG_H__4F2831F2_3CFE_11D7_A988_000103203D5E__INCLUDED_)
