// CRC.h : header file for CRC.cpp
//

#pragma once

#undef DECL
#if defined(NOT_XPERT)
#define DECL
#else
#if defined(_AFXDLL) || defined(XPERT_EXE)
#ifdef UTILS_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif
#else
#define DECL 
#endif
#endif

#ifndef _WIN32_WCE
typedef signed      char        INT8;
typedef unsigned    char        UINT8;
typedef signed      short       INT16;
typedef unsigned    short       UINT16;
typedef signed      int         INT32;
typedef unsigned    int         UINT32;
typedef signed      __int64     INT64;
typedef unsigned    __int64     UINT64;
#endif


extern void DECL ByteCRC16(UINT16& CRC, UINT8 Ch);
extern void DECL BlockCRC16(UINT8* Block, int Len, UINT16& CRC);
extern UINT16 DECL BlockCRC16(CString str);
